<?php
include "../lib/db.php";
?>

<?php
if (isset($_SESSION['userid'])) {
?>

<!DOCTYPE html>
<html>
<head>
  <!-- Standard Meta -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
  <meta name="description" content="통합 관제 시스템">
  <link rel="shortcut icon" href="../file/img/favicon.ico">

  <!-- Site Properties -->
  <title>활성화 PC 목록 확인</title>
  
  <!-- Semantic UI Template -->
  <link rel="stylesheet" type="text/css" href="../custom/Semantic/semantic.min.css">
  <script src="../custom/Semantic/jquery.min.js"></script>
  <script src="../custom/Semantic/semantic.min.js"></script>
  <script src="../custom/canvasjs-2.3.1/jquery.canvasjs.min.js"></script>


<style>
#cep {text-align:center;}
#s_red{color:red;}
</style>
  
</head>

<body style="margin-top: 80px;">

<?php include "../module/menu/menu.php"; ?>


<div class="ui container" >
<h3><i class="calendar alternate icon"></i> 날짜/시간 검색</h3>
 <div class="ui calendar" id="repdate">
    <div class="ui input left icon">
      <i class="calendar icon"></i>
      <input type="text" placeholder="Date/Time">
    </div>
 <div class="ui animated button" tabindex="0">
    <div class="visible content">Search</div>
    <div class="hidden content">
    <i class="search icon"></i>
  </div>
 </div>
  <p>아직 동작 안해요.</p>
</div>
<h3 class="ui block header">
<i class="chart pie icon"></i>
  시각화 자료
</h3>
<div id="chartContainer" style="height: 300px; width: 100%;"></div>


<h3 class="ui block header">
<i class="small bullhorn icon"></i>
  에이전트 실행 기록 (<small><a href="../files/temp1.exe">임시 수집 프로그램 다운로드</a>)</small>
</h3>

  <?php
    
    
    $result = mq("SELECT * FROM Host ORDER BY idx ASC");
    
    echo "<ceter>
<table class=\"ui red selectable celled table\">
<thead>
    <tr>
      <th>Index</th>
      <th>Name</th>
      <th>IP</th>
      <th>OS</th>
      <th>Run Time</th>
    </tr>
  </thead>
  <tbody>";
    
    $no = 1; // 리스트 번호를 나타냄
    while ($row = mysqli_fetch_array($result)) {
        echo "<tr>";
        echo "<td>" . $no . "</td>";
        echo "<td>" . $row['Name'] . "</td>";
        echo "<td>" . $row['IP'] . "</td>";
        echo "<td>" . $row['OS'] . "</td>";
        echo "<td>" . $row['time'] . "</td>";
        echo "</tr>";
        $no++; // idx 를 1씩 증가
    }
    echo "</tbody></table></center>";
    
?>
 
  
<script>
 $('#repdate').calendar({
            type: 'datetime',
            ampm : false, 
            formatter: {
                date: function (date, settings) {
                    if (!date) return '';
                    var day = date.getDate();
                    var month = date.getMonth() + 1;
                    var year = date.getFullYear();
                    return year + '-' + month + '-' + day;
                }
            }
        });
</script>
<p>시스템을 개별 식별할 수 있는 코드 필요... ?</p>
<p>BIOS S/N 이용 -> 없는 PC가 있음 -> 실패</p>
<script>
window.onload = function() {

var chart = new CanvasJS.Chart("chartContainer", {
	theme: "light2", // "light1", "light2", "dark1", "dark2"
	exportEnabled: true,
	animationEnabled: true,
	title: {
		text: "실행된 PC 목록"
	},
	data: [{
		type: "pie",
		startAngle: 25,
		toolTipContent: "<b>{label}</b>: {y}",
		showInLegend: "true",
		legendText: "{label}",
		indexLabelFontSize: 16,
		indexLabel: "{label} - {y}",
		dataPoints: [
			{ y: 4, label: "211.49.123.138" }
		]
	}]
});
chart.render();

}
</script>
  </body>
  </html>
 <?php
} else {
    echo "<script>alert('올바르지 않은 접근입니다.'); history.back();</script>";
}
?>