<?php include "../lib/db.php"; 

if(isset($_SESSION['userid'])){
	
?>

<!DOCTYPE html>
<html>
<head>
  <!-- Standard Meta -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
  <meta name="description" content="통합 관제 시스템">
  <link rel="shortcut icon" href="../file/img/favicon.ico">

  <!-- Site Properties -->
  <title>통합 관제 시스템 - 수집 내역 보기</title>
  
  <!-- Semantic UI Template -->
  <link rel="stylesheet" type="text/css" href="../custom/Semantic/semantic.min.css">
  <script src="../custom/Semantic/jquery.min.js"></script>
  <script src="../custom/Semantic/semantic.min.js"></script>
  <script src="../custom/canvasjs-2.3.1/jquery.canvasjs.min.js"></script>


<style>
#cep {text-align:center;}
#s_red{color:red;}
</style>
  
</head>

<body style="margin-top: 80px;">

<?php include "../module/menu/menu.php"; ?>

<div class="ui container" >
<!--
<h3><i class="calendar alternate icon"></i> 날짜/시간 검색</h3>
 <div class="ui calendar" id="repdate">
    <div class="ui input left icon">
      <i class="calendar icon"></i>
      <input type="text" placeholder="Date/Time">
    </div>
    
    
 <div class="ui animated button" tabindex="0">
    <div class="visible content">Search</div>
    <div class="hidden content">
    <i class="search icon"></i>
  </div>
 </div>
  <p>아직 동작 안해요.</p>
</div>
<h3 class="ui block header">
<i class="chart pie icon"></i>
  시각화 자료
</h3>
<div id="chartContainer" style="height: 300px; width: 100%;"></div>-->


<h3 class="ui block header">
<i class="small bullhorn icon"></i>
  수집 내역
</h3>

   <table class="ui red selectable celled striped table">
    
      <thead>
          <tr>
	<th>Idx</th>
	<th>Name</th>
	<th>IP</th>
	<th>Time</th>
	<th>OS</th>
            </tr>
        </thead>
        <?php
if (isset($_GET['page'])) {
    $page = $_GET['page'];
} else {
    $page = 1;
}

$sql      = mq("select * from report");
$row_num  = mysqli_num_rows($sql); //게시판 총 레코드 수
$list     = 20; //한 페이지에 보여줄 개수
$block_ct = 7; //블록당 보여줄 페이지 개수
$bcnt = mysqli_num_rows($sql);

$block_num   = ceil($page / $block_ct); // 현재 페이지 블록 구하기
$block_start = (($block_num - 1) * $block_ct) + 1; // 블록의 시작번호
$block_end   = $block_start + $block_ct - 1; //블록 마지막 번호

$total_page = ceil($row_num / $list); // 페이징한 페이지 수 구하기
if ($block_end > $total_page)
    $block_end = $total_page; //만약 블록의 마지박 번호가 페이지수보다 많다면 마지박번호는 페이지 수
$total_block = ceil($total_page / $block_ct); //블럭 총 개수
$start_num   = ($page - 1) * $list; //시작번호 (page-1)에서 $list를 곱한다.

$sql2 = mq("SELECT * from report order by idx desc limit $start_num, $list");
while ($board = $sql2->fetch_array()) {
    $title = $board["Name"];
    if (strlen($title) > 50) {
        $title = str_replace($board["Name"], mb_substr($board["Name"], 0, 20, "utf-8") . "...", $board["Name"]);
    }

    $sql3      = mq("SELECT * from reply where con_num='" . $board['idx'] . "'");
    $rep_count = mysqli_num_rows($sql3);
?>
      <tbody>
        <tr onclick="location.href='./detail.php?idx=<?php echo $board["idx"];?>'" style="cursor:hand; color:#8f8f8f;">
          
          <?php
    		echo "<td>".$board['idx'];
          
?></td>
          

        <!-- 추가부분 18.08.01 -->
        <?php echo "<td id=\"table-text\">";
?>

<?php
   $nm = $_SESSION['userid'];
   $wm = mq("SELECT * FROM member where (id) IN(select '$nm')");
   $bm = $wm->fetch_array();
    
        
       
        echo $title;
?></a>
</td>
          <?php
    		echo "<td>".$board['IP'];
          
?></td>
          <?php
    		echo "<td>".$board['Time'];
?></td>
          <?php
    		echo "<td >".$board['OS'];
          
?></td>
        </tr>
      </tbody>
      <?php
}
?>
    </table>
    
   <div class="ui pagination menu">
   
        <?php
if ($page <= 1) { //만약 page가 1보다 크거나 같다면
    echo "<a class='item'><span class='fo_re'>처음</span></a>"; //처음이라는 글자에 빨간색 표시
} else {
    echo "<a class='item' href='?page=1'>처음</a>"; //알니라면 처음글자에 1번페이지로 갈 수있게 링크
}
if ($page <= 1) { //만약 page가 1보다 크거나 같다면 빈값
    
} else {
    $pre = $page - 1; //pre변수에 page-1을 해준다 만약 현재 페이지가 3인데 이전버튼을 누르면 2번페이지로 갈 수 있게 함
    echo "<a class='item' href='?page=$pre'>이전</a>"; //이전글자에 pre변수를 링크한다. 이러면 이전버튼을 누를때마다 현재 페이지에서 -1하게 된다.
}
for ($i = $block_start; $i <= $block_end; $i++) {
    //for문 반복문을 사용하여, 초기값을 블록의 시작번호를 조건으로 블록시작번호가 마지박블록보다 작거나 같을 때까지 $i를 반복시킨다
    if ($page == $i) { //만약 page가 $i와 같다면
        echo "<a class='item'><span class='fo_re'>$i</span></a>"; //현재 페이지에 해당하는 번호에 굵은 빨간색을 적용한다
    } else {
        echo "<a class='item' href='?page=$i'>$i</a>"; //아니라면 $i
    }
}
if ($block_num >= $total_block) { //만약 현재 블록이 블록 총개수보다 크거나 같다면 빈 값
} else {
    $next = $page + 1; //next변수에 page + 1을 해준다.
    echo "<a class ='item' href='?page=$next'>다음</a>"; //다음글자에 next변수를 링크한다. 현재 4페이지에 있다면 +1하여 5페이지로 이동하게 된다.
}
if ($page >= $total_page) { //만약 page가 페이지수보다 크거나 같다면
    echo "<a class='item'><span class='fo_re'>마지막</span></a>"; //마지막 글자에 긁은 빨간색을 적용한다.
} else {
    echo "<a class='item' href='?page=$total_page'>마지막</a>"; //아니라면 마지막글자에 total_page를 링크한다.
}
?>

    </div>
  <div class="ui label" style="float:right"><i class="book icon"></i>전체 개수: <?= $bcnt;?> 개</div>    
  </div>
 
  
<script>
 $('#repdate').calendar({
            type: 'datetime',
            ampm : false, 
            formatter: {
                date: function (date, settings) {
                    if (!date) return '';
                    var day = date.getDate();
                    var month = date.getMonth() + 1;
                    var year = date.getFullYear();
                    return year + '-' + month + '-' + day;
                }
            }
        });
</script>

<script>
window.onload = function() {

var chart = new CanvasJS.Chart("chartContainer", {
	theme: "light2", // "light1", "light2", "dark1", "dark2"
	exportEnabled: true,
	animationEnabled: true,
	title: {
		text: "전체 기간 취약점 탐지 횟수"
	},
	data: [{
		type: "pie",
		startAngle: 25,
		toolTipContent: "<b>{label}</b>: {y}%",
		showInLegend: "true",
		legendText: "{label}",
		indexLabelFontSize: 16,
		indexLabel: "{label} - {y}%",
		dataPoints: [
			{ y: 61.2, label: "192.168.88.9" },
			{ y: 20.4, label: "192.168.88.5" },
			{ y: 10.2, label: "192.168.88.4" },
			{ y: 4.0, label: "192.168.88.6" },
			{ y: 2.0, label: "192.168.88.3" },
			{ y: 2.0, label: "192.168.88.7" }
		]
	}]
});
chart.render();

}
</script>
  </body>
  </html>
 <?php }else{echo "<script>alert('올바르지 않은 접근입니다.'); history.back();</script>";}?>