<?php 
include "../lib/db.php";
?>

<!doctype html>
<head>
  <!-- Standard Meta -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
  <meta name="description" content="통합 관제 시스템">
  <link rel="shortcut icon" href="../file/img/favicon.ico">

  <!-- Site Properties -->
  <title>게시판 검색 결과</title>
  
  <!-- Semantic UI Template -->
  <link rel="stylesheet" type="text/css" href="../custom/Semantic/semantic.min.css">
  <script src="../custom/Semantic/jquery.min.js"></script>
  <script src="../custom/Semantic/semantic.min.js"></script>
  
  
  <style>
#cep {text-align:center;}
#s_red{color:red;}
body {margin-top:80px;}

#ang {text-align:center;}
#footer {margin: 0px 0px 10px 0px;}

#table-title {text-align: center; width:auto}

#table-text{color:black;}

A:link {text-decoration:none; color:black;}
A:visited {text-decoration:none; color:black;}
</style>
<script>
$(function() {
    $('.ui.dropdown').dropdown();
});

</script>
</head>
<body>
<?php include "../module/menu/menu.php"; 

 $catagory = $_POST['catgo'];
 $search_con = $_POST['search'];
 
 if($catagory == "all") { 
	$selcat = "전체";
 } else if($catagory == "title") {
 	$selcat = "제목";
 } else if($catagory == "name") {
 	$selcat = "작성자";
 } else if($catagory == "content") {
 	$selcat = "내용";
 }
  
?>

<div class="ui container" >
	<h2><i class="search icon"></i> '<?=$search_con; ?>' 에 대한 검색결과</h2>
	
	<form class="ui form" action="./search_result.php" method="post">
    <div class="ui action input" style="width:100%;">
    <select class="ui selection dropdown" name="catgo" >
    <option value="all">전체</option>
    <option selected="" value="title">제목</option>
    <option value="name">작성자</option>
    <option value="content">내용</option>
  </select> &nbsp;
  <input type="text" name="search" placeholder="검색할 내용" style="width:40%;">
  <!--//원래 70%로 잡앗는데 줄이니까 깨질길래 40으로 햇더니 안깨짐-->

 <button class="ui animated blue submit button" type="submit" tabindex="0">
 <div class="visible content">검색</div>
    <div class="hidden content">
    <i class="search icon"></i>
  </div></button>

 &nbsp;
 </form>
 </div>
	
	<table class="ui violet selectable celled striped table">
	<thead>
          <tr>
				<th width="70">번호</th>
                <th width="500">제목</th>
                <th width="120">글쓴이</th>
                <th width="150">작성일</th>
                <th width="100">조회수</th>
            </tr>
</thead>
        <?php
        
        if($catagory == "all") {
        $search_con2 = '%' .$search_con. '%';
        $sql2 = bindmq("select * from board where title like ? or name like ? or content like ?
        order by idx desc");
        $sql2 -> bind_param("sss", $search_con2, $search_con2, $search_con2);
        $sql2 ->execute();
        $sql2 = $sql2 -> get_result();
        } 
        
        if($catagory =="name"){
          $catagory2 =(string)$catagory;
          $search_con2 = '%'.$search_con.'%' ;
          
          $sql2 = bindmq("select * from board where name like ? ");
          $sql2 -> bind_param("s", $search_con2);
          $sql2 ->execute();
          $sql2 = $sql2 -> get_result();
        }
        if($catagory =="content"){
          $catagory2 =(string)$catagory;
          $search_con2 = '%'.$search_con.'%' ;
          
          $sql2 = bindmq("select * from board where content like ? ");
          $sql2 -> bind_param("s", $search_con2);
          $sql2 ->execute();
          $sql2 = $sql2 -> get_result();
        }
        if($catagory =="title"){
          $catagory2 =(string)$catagory;
          $search_con2 = '%'.$search_con.'%' ;
          
          $sql2 = bindmq("select * from board where title like ? ");
          $sql2 -> bind_param("s", $search_con2);
          $sql2 ->execute();
          $sql2 = $sql2 -> get_result();
        }
        
        	
          while($board = $sql2->fetch_assoc()){
           
          $title=$board["title"]; 
            if(strlen($title)>50)
              { 
                $title=str_replace($board["title"],mb_substr($board["title"],0,50,"utf-8")."...",$board["title"]);
              }
            $sql3 = mq("select * from reply where con_num='".$board['idx']."'");
            $rep_count = $sql3->num_rows;//쿼리에 대한 행의 갯수(레코드의 갯수)
        ?>
      <tbody>
        <tr>
          <td width="70"><?=$board['idx']; ?></td>
          
          <td width="500" id="table-text">

        <!-- 추가부분 18.08.01 -->
        <?php
    $boardtime = substr($board['date'],0,10); //$boardtime변수에 board['date']값을 넣음
    $timenow   = date("Y-m-d"); //$timenow변수에 현재 시간 Y-M-D를 넣음
    if ($boardtime == $timenow) {
        $img = "<img src=\"../file/upload/new.png\" style=\"max-width:14px;\">";
    } else {
        $img = "";
    }
?>

<?php
   $nm = $_SESSION['userid'];
   $wm = bindmq("SELECT * FROM member where (id) IN(select ?)");//IN(select '$nm') 이랫는데 변수 '$nm'은 값을 의미햇던것이라 그런지
   //'?' 이아니라 ? 로만 으로 올려야하나봄
   $wm -> bind_param("s", $nm);
   $wm -> execute();
   $wm = $wm ->get_result();
   while($bm = $wm -> fetch_assoc()){
   	$bd_bm = $bm['Auth'];//$bm[7] 이런식으로 값을 꺼낼려햇으나 안되서 fetch_array를 호출하여 값을 확인함
   	//array 는 번호로된 배열과 필드명으로된 배열 2가지 모두 가져옴(그래서 [0] 이런식으로 호출가능햇엇음
   	//assoc 은 필드명으로된 배열만을 가져오기때문에 
   }
   $lockimg = "<i class='lock icon'></i>";
   $unlockimg = "<i class='unlock icon'></i>";

    
   if ($board['lock_post'] == "1") {
	if($bd_bm != 1) {//Auth 값
	?><a href="#" onclick="show(<?=$board["idx"];?>);"><?php
        echo $title, $lockimg;
    } else {?>
	<a href='./read.php?idx=<?=$board["idx"];?>'><?php
	echo "<span style=\"background:yellow;\">".$title, $unlockimg ."</span>";
    }
    } else {
?>
        <!-- 추가부분 18.08.01 END -->
        <a href='./read.php?idx=<?php
        echo $board["idx"];
?>'><span style="background:yellow;">
        <?php
        echo $title;
    }
?></span><span class="re_ct"> [<?php
    echo $rep_count;
?>] <?php
    echo $img;
?> </span></a></td>
          <td width="120"><?=$board['name']?></td>
          <td width="100"><?=$board['date']?></td>
          <td width="100"><?=$board['hit']; ?></td>

        </tr>
      </tbody>

      <?php } ?>
    </table>
	
</div>

<div class="ui tiny modal test1">
  
  <div class="header">
    잠겨있는 게시물
  </div>
  <div class="content">

    <form class="ui large form" method="POST" action="./module/ck_read.php">
    <div class="description">
      <div class="ui header">비밀번호 확인.</div>
      <p>잠겨있는 게시물 입니다. 비밀번호를 입력해 주세요.</p>
      		<div class="field">
          <div class="ui left icon input">
            <i class="lock icon"></i>
            <input type="hidden" name="t1" id="t1">
            <input type="password" name="password" placeholder="비밀번호">
          </div>
        </div>
    </div>
  </div>
  <div class="actions">
    <div class="ui red deny button">
     <i class="close icon"></i> 취소
    </div>
      <button class="ui green submit button" type="submit"><i class="checkmark icon"></i> 확인</button>
      
  </div>
  </form>
</div>

<script type="text/javascript">
	function show(str){  
	    $('#t1').val(str);

	    //modal을 띄워준다.  
	    $(".test1").modal('show');
	    
	    $(".test1").modal({
		closable: false
	});

	}
	
$('.message .close')
  .on('click', function() {
    $(this)
      .closest('.message')
      .transition('fade')
    ;
  })
;
</script>

</body>
</html>