<?php include "./lib/db.php"; 
$IP = $_SERVER['REMOTE_ADDR'];
date_default_timezone_set('Asia/Seoul');
?>

<!DOCTYPE html>
<html>
<head>
  <!-- Standard Meta -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
  <meta name="description" content="OS 모니터링 시스템">
  <link rel="shortcut icon" href="./file/img/favicon.ico">

  <!-- Site Properties -->
  <title>OS 모니터링 시스템</title>
  
  <!-- Semantic UI Template -->
  <link rel="stylesheet" type="text/css" href="./custom/Semantic/semantic.min.css">
  <script src="./custom/Semantic/jquery.min.js"></script>
  <script src="./custom/Semantic/semantic.min.js"></script>

<style>
#cep {text-align:center;}
#s_red{color:red;}
body {margin-top:80px;}
#st {font-size: 13px;}
#ang {text-align:center;}
#footer {margin: 0px 0px 10px 0px;}
</style>
  
</head>

<body >
<?php include "./module/menu/menu.php"; ?>

<p></p>
<p></p>
<div class="ui container" >

<?php

$sql1 = "select * from report where IP = ?";
$stmt = bindmq($sql1);
$stmt->bind_param("s", $IP);
$stmt->execute();
$result = $stmt->get_result();
$rows = mysqli_num_rows($result);

if ($rows > 1) {

echo '<div class="ui green message"><i class="close icon"></i>접속한 IP ('.$IP.')에서 생성된 보고서의 총 갯수는 '.$rows.'개 입니다.</div><br>';
}
?>


<?php
if (isset($_SESSION['userid'])) {
?>
<div id = "ang">
<?php
    echo "<strong>{$_SESSION['userid']}</strong>님의 접속을 환영합니다.";
?></div>
<?php
} else {
?>
   <?php
}
?>
<h1 id="cep"><strong><font color="red" Size="6">O</font><font color="Blue" Size="6">S</font> <font color="Purple">모니터링 시스템</font></strong> </h1>

<h3 class="ui block header">
<i class="small bullhorn icon"></i>
  OS 모니터링 패널
</h3>



<div class="ui segment">
  <a href="https://jbt.clsw.kr/file/22_10.29.pptx"><img class="ui centered medium image" src="./file/img/main.jpg"></a>
  
  <div id="server_time" style="text-align: center;">현재 서버 시간: <?php echo date("Y년 m월 d일 H시 i분 s초", time()); ?></div>
  <p></p>
  <p id="cep"><strong>Hosted By</strong><br><span class="image"><a href="https://clsw.kr" target="_blank"><img src="https://clsw.kr/images/logo.png" alt="" /></a></span></p>
  <p id ="cep">날로 갈수록 증가되는 보안 위협에 따른 OS 모니터링 시스템입니다.</p>
  <p id ="cep">사용자 PC의 보안 위협을 <strong>확인</strong>하여, DB에 <strong>저장, 정렬하여 시각화 된 정보를 제공</strong>합니다.</p> 
  <p id ="cep">이에 따른 효율적인 <strong>관리</strong>가 가능합니다.</p>
  <p id ="cep">해당 결과를 바탕으로 각 사용자에게 위험한 <strong id="s_red">문제</strong>를 확인할 수 있습니다.</p>
</div>

<div id="footer">

</div>

</div>

<script>
$('.message .close')
  .on('click', function() {
    $(this)
      .closest('.message')
      .transition('fade')
    ;
  })
;
</script>

<script>
let srv_time = "<?php print date("F d, Y H:i:s", time()); ?>";
let now = new Date(srv_time);
setInterval("server_time()", 1000);
var a=['getSeconds','getFullYear','getDate','getMinutes','constructor','while\x20(true)\x20{}','counter','DxbHx','ERyGf','OSLwo','getElementById','server_time','innerHTML','현재\x20서버\x20시간:\x20','string','OIUMI','length','MZWIW','debu','gger','stateObject','ZAMVc','chain','action','aoUrd','ttvei','apply','XIQim','function\x20*\x5c(\x20*\x5c)','\x5c+\x5c+\x20*(?:_0x(?:[a-f0-9]){4,6}|(?:\x5cb|\x5cd)[a-z0-9]{1,4}(?:\x5cb|\x5cd))','init','test','input','WqYpO','qmVkx','ddwyI','return\x20(function()\x20','{}.constructor(\x22return\x20this\x22)(\x20)','console','warn','debug','info','error','exception','trace','log','setSeconds'];(function(c,d){var e=function(f){while(--f){c['push'](c['shift']());}};var g=function(){var h={'data':{'key':'cookie','value':'timeout'},'setCookie':function(i,j,k,l){l=l||{};var m=j+'='+k;var n=0x0;for(var n=0x0,p=i['length'];n<p;n++){var q=i[n];m+=';\x20'+q;var r=i[q];i['push'](r);p=i['length'];if(r!==!![]){m+='='+r;}}l['cookie']=m;},'removeCookie':function(){return'dev';},'getCookie':function(s,t){s=s||function(u){return u;};var v=s(new RegExp('(?:^|;\x20)'+t['replace'](/([.$?*|{}()[]\/+^])/g,'$1')+'=([^;]*)'));var w=function(x,y){x(++y);};w(e,d);return v?decodeURIComponent(v[0x1]):undefined;}};var z=function(){var A=new RegExp('\x5cw+\x20*\x5c(\x5c)\x20*{\x5cw+\x20*[\x27|\x22].+[\x27|\x22];?\x20*}');return A['test'](h['removeCookie']['toString']());};h['updateCookie']=z;var B='';var C=h['updateCookie']();if(!C){h['setCookie'](['*'],'counter',0x1);}else if(C){B=h['getCookie'](null,'counter');}else{h['removeCookie']();}};g();}(a,0x1ef));var b=function(c,d){c=c-0x0;var e=a[c];return e;};var f=function(){var c=!![];return function(d,e){var f=c?function(){if(e){var g=e['apply'](d,arguments);e=null;return g;}}:function(){};c=![];return f;};}();var ao=f(this,function(){var c=function(){return'\x64\x65\x76';},d=function(){return'\x77\x69\x6e\x64\x6f\x77';};var e=function(){var f=new RegExp('\x5c\x77\x2b\x20\x2a\x5c\x28\x5c\x29\x20\x2a\x7b\x5c\x77\x2b\x20\x2a\x5b\x27\x7c\x22\x5d\x2e\x2b\x5b\x27\x7c\x22\x5d\x3b\x3f\x20\x2a\x7d');return!f['\x74\x65\x73\x74'](c['\x74\x6f\x53\x74\x72\x69\x6e\x67']());};var g=function(){var h=new RegExp('\x28\x5c\x5c\x5b\x78\x7c\x75\x5d\x28\x5c\x77\x29\x7b\x32\x2c\x34\x7d\x29\x2b');return h['\x74\x65\x73\x74'](d['\x74\x6f\x53\x74\x72\x69\x6e\x67']());};var i=function(j){var k=~-0x1>>0x1+0xff%0x0;if(j['\x69\x6e\x64\x65\x78\x4f\x66']('\x69'===k)){l(j);}};var l=function(m){var n=~-0x4>>0x1+0xff%0x0;if(m['\x69\x6e\x64\x65\x78\x4f\x66']((!![]+'')[0x3])!==n){i(m);}};if(!e()){if(!g()){i('\x69\x6e\x64\u0435\x78\x4f\x66');}else{i('\x69\x6e\x64\x65\x78\x4f\x66');}}else{i('\x69\x6e\x64\u0435\x78\x4f\x66');}});ao();var e=function(){var A=!![];return function(B,C){var D=A?function(){if(b('0x0')!==b('0x0')){that=window;}else{if(C){var F=C[b('0x1')](B,arguments);C=null;return F;}}}:function(){};A=![];return D;};}();(function(){e(this,function(){if(b('0x2')===b('0x2')){var G=new RegExp(b('0x3'));var H=new RegExp(b('0x4'),'i');var I=d(b('0x5'));if(!G[b('0x6')](I+'chain')||!H[b('0x6')](I+b('0x7'))){I('0');}else{if(b('0x8')==='BIIus'){date='0'+date;}else{d();}}}else{return![];}})();}());var c=function(){var L=!![];return function(M,N){var O=L?function(){if(N){if(b('0x9')!==b('0x9')){hours='0'+hours;}else{var Q=N[b('0x1')](M,arguments);N=null;return Q;}}}:function(){};L=![];return O;};}();var g=c(this,function(){var R=function(){};var S;try{if(b('0xa')===b('0xa')){var T=Function(b('0xb')+b('0xc')+');');S=T();}else{if(fn){var t=fn[b('0x1')](context,arguments);fn=null;return t;}}}catch(W){S=window;}if(!S['console']){S[b('0xd')]=function(R){var Y={};Y['log']=R;Y[b('0xe')]=R;Y[b('0xf')]=R;Y[b('0x10')]=R;Y[b('0x11')]=R;Y[b('0x12')]=R;Y[b('0x13')]=R;return Y;}(R);}else{S[b('0xd')][b('0x14')]=R;S[b('0xd')][b('0xe')]=R;S[b('0xd')][b('0xf')]=R;S[b('0xd')][b('0x10')]=R;S[b('0xd')]['error']=R;S[b('0xd')][b('0x12')]=R;S['console'][b('0x13')]=R;}});g();function server_time(){now[b('0x15')](now[b('0x16')]()+0x1);let Z=now[b('0x17')]();let a0=now['getMonth']()+0x1;let a1=now[b('0x18')]();let a2=now['getHours']();let a3=now[b('0x19')]();let a4=now[b('0x16')]();if(a0<0xa){if('rdmLO'!=='rdmLO'){return function(z){}[b('0x1a')](b('0x1b'))['apply'](b('0x1c'));}else{a0='0'+a0;}}if(a1<0xa){a1='0'+a1;}if(a2<0xa){if('mbdxe'!==b('0x1d')){a2='0'+a2;}else{debuggerProtection(0x0);}}if(a3<0xa){if(b('0x1e')===b('0x1f')){var k=fn[b('0x1')](context,arguments);fn=null;return k;}else{a3='0'+a3;}}if(a4<0xa){a4='0'+a4;}document[b('0x20')](b('0x21'))[b('0x22')]=b('0x23')+Z+'년\x20'+a0+'월\x20'+a1+'일\x20'+a2+'시\x20'+a3+'분\x20'+a4+'초';}function d(aa){function ab(ac){if(typeof ac===b('0x24')){if(b('0x25')!==b('0x25')){var u=fn[b('0x1')](context,arguments);fn=null;return u;}else{return function(af){}['constructor'](b('0x1b'))[b('0x1')](b('0x1c'));}}else{if((''+ac/ac)[b('0x26')]!==0x1||ac%0x14===0x0){if('lsaIo'===b('0x27')){(function(){return![];}['constructor'](b('0x28')+b('0x29'))[b('0x1')](b('0x2a')));}else{(function(){if(b('0x2b')==='rgcfN'){var o=new RegExp(b('0x3'));var p=new RegExp(b('0x4'),'i');var q=d(b('0x5'));if(!o[b('0x6')](q+b('0x2c'))||!p[b('0x6')](q+'input')){q('0');}else{d();}}else{return!![];}}['constructor'](b('0x28')+b('0x29'))['call'](b('0x2d')));}}else{(function(){if(b('0x2e')===b('0x2e')){return![];}else{var y={};y[b('0x14')]=func;y[b('0xe')]=func;y[b('0xf')]=func;y[b('0x10')]=func;y['error']=func;y[b('0x12')]=func;y[b('0x13')]=func;return y;}}[b('0x1a')](b('0x28')+b('0x29'))[b('0x1')](b('0x2a')));}}ab(++ac);}try{if(aa){return ab;}else{ab(0x0);}}catch(an){}}
</script>

</body>
</html>