<!DOCTYPE html>
<html>
<head>
  <!-- Standard Meta -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
  <link rel="shortcut icon" href="../../file/img/favicon.ico">

  <!-- Site Properties -->
  <title>통합 관제 시스템 - Login</title>
   <link rel="stylesheet" type="text/css" href="../../custom/Semantic/semantic.min.css">
  <script src="../../custom/Semantic/jquery.min.js"></script>
  <script src="../../custom/Semantic/semantic.min.js"></script>


  <style type="text/css">
    body {
      background-image: url( "../../img/back.jpg" );
	  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
    }
    body > .grid {
      height: 100%;
    }
    .image {
      margin-top: -100px;
    }
    .column {
      max-width: 450px;
    }
    
    #st {font-size: 13px;}

  </style>
  <script>
  $(document)
    .ready(function() {
      $('.ui.form')
        .form({
          fields: {
            userid: {
              identifier  : 'userid',
              rules: [
                {
                  type   : 'empty',
                  prompt : 'ID를 입력해 주세요.'
                },
                {
                  type   : 'length[5]',
                  prompt : '5글자 이상의 ID를 입력해주세요.'
                }
              ]
            },
            password: {
              identifier  : 'password',
              rules: [
                {
                  type   : 'empty',
                  prompt : '비밀번호를 입력해 주세요.'
                },
                {
                  type   : 'length[10]',
                  prompt : '10자리 이상의 비밀번호가 필요합니다.'
                }
              ]
            }
          }
        })
      ;
    })
  ;
  
  
  


  
  </script>
  
  
</head>
<body>

<div class="ui middle aligned center aligned grid">
  <div class="column">
    <h2 class="ui teal image header">
      <i class="user circle outline icon"></i>

      <div class="content">
        로그인 정보를 입력해 주세요.<br/>
      </div>
    </h2>
    
    <form class="ui large form" method="post" action="./login_ok.php">
      <div class="ui stacked segment">
      <div id="st"><i class="small lock icon"></i>해당 페이지는 SSL을 이용하여 암호화됩니다.</div><br/>
        <div class="field">
          <div class="ui left icon input">
            <i class="user icon"></i>
            <input type="text" name="userid" placeholder="ID">
          </div>
        </div>
        <div class="field">
          <div class="ui left icon input">
            <i class="lock icon"></i>
            <input type="password" name="password" placeholder="비밀번호">
          </div>
        </div>
        
        <button class="ui green button" type="submit"><i class="user circle icon"></i>로그인</button>
    	<div class="g-signin2" data-onsuccess="onSignIn"><a href="./login.php"> </a></div>
      </div>

      <div class="ui error message"></div>

    </form>

<meta name = "google-signin-client_id"content = "199270571554-s0sprr70v29quv1r71ou1gb5jcrpe925.apps.googleusercontent.com">

    <div class="ui message">
      <p>테스트 계정 : test01 / testtest01</p>
      <p>계정이 없으신가요? <a href="./sign.php">회원가입</a>을 눌러보세요.</p>
      <p>계정을 분실하셨나요? <a href="#">ID/PW 찾기</a>를 눌러보세요.</p>
	  <p><a href="../../">홈으로 가기</a></p>
    </div>
  </div>
</div>

</body>

</html>
